#include <daguerre/framebuffer.hpp>

namespace daguerre {

  image<hilbert_color> get_hilbert_framebuffer() {
    hilbert_color *ptr;
    uint32_t width, height, pitch;
    euler::syscall::get_framebuffer(ptr, width, height, pitch);
    return image<hilbert_color>(width, height, ptr, pitch, false);
  }

}
